Package Base Details: tuxguitar

Git Clone URL: https://aur.archlinux.org/tuxguitar.git (read-only)
Submitter: Barthalion
Maintainer: buzo
Last Packager: buzo
Votes: 37
Popularity: 1.17
First Submitted: 2018-01-05 17:06
Last Updated: 2019-08-06 11:04

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

ThanosApostolou commented on 2019-02-11 10:27

@ottoshmidt I cannot reproduce, what command or aur helper are you using?

ottoshmidt commented on 2019-02-11 09:56

==> Finished making: tuxguitar 1.5.2-2 (Mon 11 Feb 2019 01:50:13 PM +04) loading packages... error: 'tuxguitar-common-1.5.2-2-x86_64.pkg.tar.xz': duplicate target error: 'tuxguitar-gtk2-1.5.2-2-x86_64.pkg.tar.xz': duplicate target

:(

ThanosApostolou commented on 2018-12-18 21:41

@IwfY Sorry I cannot reproduce. On my system it builds fine with only jdk8-opendjk installed.

Btw, I forgot to leave a comment. This package now uses gtk3 by default (SWT_GTK3=1 enabled). There is the alternative tuxguitar-gtk2 which launches the program with SWT_GTK3=0. Both depend on tuxguitar-common and all of them are built from the same PKGBUILD.

IwfY commented on 2018-12-18 13:25

Isn't java-environment >= 10 a requirement? For me the build process generated gcc commands (for plugins I guess) with "-I/usr/lib/jvm/java-10-openjdk/include". Those of course failed until I installed OpenJDK 10.

ThanosApostolou commented on 2018-12-13 15:08

I've created a package which launches tuxguitar with SWT_GTK3=1 and depends on your package (https://aur.archlinux.org/packages/tuxguitar-gtk3-launcher/). Of course many users want to completely avoid the gtk2 dependency nowadays. Would you be interested to include those files in your PKBGUILD and split the package to something like tuxguitar-common, tuxguitar-gtk2 (with gtk2 dependency and the original launchers) and tuxguitar-gtk3 (with gtk3 dependency and *-gtk3 launchers I've created)?

I've tested it with SWT_GTK3=1 and tuxguitar can work properly without the gtk2 installed at all. By doing this we make available both choices without creating redundant packages.

ThanosApostolou commented on 2018-12-13 14:46

It seems to me that this is using gtk2 like the original tuxguitar package, since the /usr/share/tuxguitar/tuxguitar.sh exports SWT_GKT3=0. I've created https://aur.archlinux.org/packages/tuxguitar-gtk3-launcher/ which adds a launcher for SWT_GKT3=1, without the need to duplicate the whole package. Of course you cannot avoid the gtk2 dependency like this, but maybe I'll contact the original tuxguitar maintainer in order add the needed files and split the package to tuxguitar-common, tuxguitar-gtk2 and tuxguitar-gtk3 or something.

lemust83 commented on 2018-12-05 14:29

Hi Checksum problem on tuxguitar-src-1.5.tar.gz PKGBUILD : sha256sums=('ac72690bc1c20919dd66df46f757c6890be4c54b38f2a3b59a0265c777392210' 'bda4bc1b864ecfa27392a145854ee3b5ab20876c2d2bc38bbf85f92ce97fe2bc') But if we generate in local directory with makepkg -g: makepkg -g ==> Récupération des sources… -> tuxguitar-src-1.5.tar.gz trouvé -> nogcj.patch trouvé ==> Génération des sommes de contrôle des sources… sha256sums=('f79b14f841576d7b04be70f5a5e25af892f7a8e9c7c2f7ba6f0af25babe35283' 'bda4bc1b864ecfa27392a145854ee3b5ab20876c2d2bc38bbf85f92ce97fe2bc') It dosn't match on archive tuxguitar-src-1.5.tar.gz

Editing PKGBUILD with new sha256sum and/or replace by 'SKIP' donsn't work too. I succeed to compile with makepkg --skipchecksums.... The programm run fine, but it's not a very safe way to compile it.

nobrakal commented on 2018-10-17 15:31

@ansgoati

See Tools > Plugins > ALSA output plugin

ansgoati commented on 2018-10-15 16:47

How to add Alsa and Jack support ??

thegovernor commented on 2018-08-07 23:39

No, thank you for taking the time to maintain the package. All seems to be working well, nice work.